
Summary: Vantages DNS tools
Name: vantages
Version: 0.8.10b
Release: p1.1%{?dist}
License: BSD
Url: http://www.vantage-points.org/
Source: http://www.vantage-points.org/src/%{name}-%{version}-p1.tgz

Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gpgme-devel, sqlite-devel, expat-devel, libpcap-devel
BuildRequires: libcurl-devel, openssl-devel
BuildRequires: libtool automake autoconf

#Requires(post): chkconfig
#Requires(preun): chkconfig
#Requires(preun): initscripts
#Requires(postun): initscripts

%description
Vantages dns tools, packages with daemon but we do not use the daemon

%package devel
Summary: Development package that includes the header files
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
The devel package contains the library and the include files

%package libs
Summary: Libraries used by the server and client applications
Group: Applications/System
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Contains libraries used by the server and client applications

%prep
%setup -q -n vantages-0.8.10b-p1

%build
%configure 
# we dont care about fixing the warnings
sed -i 's/-Werror//' Makefile
sed -i 's/-Werror//' Makefile.in
# --mandir= to configure is ignored, patch manually
sed -i 's/mandir = \$(prefix)\/man/mandir = $(prefix)\/share\/man/' Makefile
%{__make} %{?_smp_mflags} 

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
install -d 0755 %{buildroot}%{_initrddir} %{buildroot}%{_sysconfdir}
install -m 644 doc/vantaged.conf.sample %{buildroot}%{_sysconfdir}/vantaged.conf

# remove static library from install (fedora packaging guidelines)
rm %{buildroot}%{_libdir}/*.la

#mkdir -p %{buildroot}%{_localstatedir}/run/vantaged

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc CHANGELOG COMPILE LICENSE README 
# if we end up using the daemon, it should get a init script
#%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %dir %{_datadir}/%{name}
%attr(0755,root,root) %{_datadir}/%{name}/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/vantaged.conf
%{_bindir}/*
%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvdns.so
%{_libdir}/libvdns.a
%dir %{_includedir}/vantages
%{_includedir}/vantages/*.h
%doc README

%files libs
%defattr(-,root,root,-)
%{_libdir}/libvdns.so.*
%doc README LICENSE

#%pre
#getent group vantaged >/dev/null || groupadd -r vantaged
#getent passwd vantaged >/dev/null || \
#useradd -r -g vantaged -d %{_sysconfdir}/vantaged -s /sbin/nologin \
#-c "vantaged DNS monitor" vantaged
#exit 0

%post
/sbin/chkconfig --add %{name}

%post libs -p /sbin/ldconfig

#%preun
#if [ "$1" -eq 0 ]; then
#        /sbin/service %{name} stop >/dev/null 2>&1
#        /sbin/chkconfig --del %{name} 
#fi

#%postun 
#if [ "$1" -ge "1" ]; then
#  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
#fi

%postun libs -p /sbin/ldconfig

%changelog
* Thu Jun 09 2011 Paul Wouters <paul@xelerance.com>
- rebuilt

* Mon Jun 06 2011 Paul Wouters <paul@xelerance.com> - 1.4.10-1
- Added ghost for /var/run/unbound (bz#656710)
